Subject: Re: [PATCH net-next] net: xfrm: xfrm_policy: fix inline not at beginning of declaration

From: Steffen Klassert <[email-masked]>
Date: Wed, 8 Jan 2014 06:55:36 +0100

On Tue, Jan 07, 2014 at 06:34:12PM -0500, David Miller wrote:
> From: Daniel Borkmann <[email-masked]>
> Date: Tue,  7 Jan 2014 23:20:27 +0100
> 
> > Fix three warnings related to:
> > 
> >   net/xfrm/xfrm_policy.c:1644:1: warning: 'inline' is not at beginning of declaration [-Wold-style-declaration]
> >   net/xfrm/xfrm_policy.c:1656:1: warning: 'inline' is not at beginning of declaration [-Wold-style-declaration]
> >   net/xfrm/xfrm_policy.c:1668:1: warning: 'inline' is not at beginning of declaration [-Wold-style-declaration]
> > 
> > Just removing the inline keyword is sufficient as the compiler will
> > decide on its own about inlining or not.
> > 
> > Signed-off-by: Daniel Borkmann <[email-masked]>
> 
> Applied.

I have a fix for this warnings in the ipsec-next tree too:

commit 2f3ea9a95c58fd0e4bed18a9c9dfe53739fee3b2
Author: Weilong Chen <[email-masked]>
Date:   Tue Dec 24 09:43:50 2013 +0800

    xfrm: checkpatch erros with inline keyword position
    
    Signed-off-by: Weilong Chen <[email-masked]>
    Signed-off-by: Steffen Klassert <[email-masked]>

Should I revert it, or do you want to solve the conflict when
I send the ipsec-next pull request?